package formen;

public class Punkt {

    private double x;
    private double y;

    public Punkt(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public Punkt() {
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    Punkt diff(Punkt a) {
        return new Punkt(this.getX() - a.getX(), this.getY() - a.getY());
    }

    Punkt sum(Punkt a) {
        return new Punkt(this.getX() + a.getX(), this.getY() + a.getY());
    }
    
    double kreuz(Punkt a) {
        return a.getX() * this.getY() - a.getY() * this.getX();
    }
    
}
